.bg-none {
    background: none !important;
}
.bg-color-none {
    background-color: none !important;
}

/*==============================*/
/* ========= Palette ========= */
/*==============================*/
.bg-inherit {
    background-color: inherit !important;
}

/* White */
.color-white,
.color-white-hover:hover {
    color: #fff !important;
}
.bg-white,
.bg-white-hover:hover {
    background-color: #fff !important;
}
.border-color-white,
.border-color-white-hover:hover {
    border-color: #fff !important;
}

/* bg-black */
.color-black,
.color-black-hover:hover {
    color: #000 !important;
}
.bg-black,
.bg-black-hover:hover {
    background-color: #000 !important;
}
.border-color-black,
.border-color-black-hover:hover {
    border-color: #000 !important;
}

/* bg-blue-dark */
.color-blue-dark,
.color-blue-dark-hover:hover {
    color: #1e293b !important;
}
.bg-blue-dark,
.bg-blue-dark-hover:hover {
    background-color: #1e293b !important;
}
.border-color-blue-dark,
.border-color-blue-dark-hover:hover {
    border-color: #1e293b !important;
}

/* bg-blue-dark-light */
.color-blue-dark-light,
.color-blue-dark-light-hover:hover {
    color: #343e4e !important;
}
.bg-blue-dark-light,
.bg-blue-dark-light-hover:hover {
    background-color: #343e4e !important;
}
.border-color-blue-dark-light,
.border-color-blue-dark-light-hover:hover {
    border-color: #343e4e !important;
}

/* bg-blue */
.color-blue,
.color-blue-hover:hover {
    color: #0369a1 !important;
}
.bg-blue,
.bg-blue-hover:hover {
    background-color: #0369a1 !important;
}
.border-color-blue,
.border-color-blue-hover:hover {
    border-color: #0369a1 !important;
}

/* bg-blue-light */
.color-blue-light,
.color-blue-light-hover:hover {
    color: #1c78ab !important;
}
.bg-blue-light,
.bg-blue-light-hover:hover {
    background-color: #1c78ab !important;
}
.border-color-blue-light,
.border-color-blue-light-hover:hover {
    border-color: #1c78ab !important;
}

/* bg-blue-thin */
.color-blue-thin,
.color-blue-thin-hover:hover {
    color: #f8fafc !important;
}
.bg-blue-thin,
.bg-blue-thin-hover:hover {
    background-color: #f8fafc !important;
}
.border-color-blue-thin,
.border-color-blue-thin-hover:hover {
    border-color: #f8fafc !important;
}

/* bg-blue-thin-dark */
.color-blue-thin-dark,
.color-blue-thin-dark-hover:hover {
    color: #eef2f5 !important;
}
.bg-blue-thin-dark,
.bg-blue-thin-dark-hover:hover {
    background-color: #eef2f5 !important;
}
.border-color-blue-thin-dark,
.border-color-blue-thin-dark-hover:hover {
    border-color: #eef2f5 !important;
}

/* bg-red */
.color-red,
.color-red-hover:hover {
    color: #931a1a !important;
}
.bg-red,
.bg-red-hover:hover {
    background-color: #931a1a !important;
}
.border-color-red,
.border-color-red-hover:hover {
    border-color: #931a1a !important;
}

/* bg-red-light */
.color-red-light,
.color-red-light-hover:hover {
    color: #cc5454 !important;
}
.bg-red-light,
.bg-red-light-hover:hover {
    background-color: #cc5454 !important;
}
.border-color-red-light,
.border-color-red-light-hover:hover {
    border-color: #cc5454 !important;
}

/* bg-green */
.color-green,
.color-green-hover:hover {
    color: #64bd7a !important;
}
.bg-green,
.bg-green-hover:hover {
    background-color: #64bd7a !important;
}
.border-color-green,
.border-color-green-hover:hover {
    border-color: #64bd7a !important;
}

/* bg-green-light */
.color-green-light,
.color-green-light-hover:hover {
    color: #64bd7a !important;
}
.bg-green-light,
.bg-green-light-hover:hover {
    background-color: #64bd7a !important;
}
.border-color-green-light,
.border-color-green-light-hover:hover {
    border-color: #64bd7a !important;
}

/*==============================*/
/* ========= Scroll Bar ========= */
/*==============================*/
.scroll_block,
body {
    -ms-overflow-style: auto;
    scrollbar-color: #000 transparent;
    scrollbar-width: thin;
}
#body_scroll_style::-webkit-scrollbar-thumb,
.scroll_block::-webkit-scrollbar-thumb {
    background-color: rgba(0, 0, 0, 0.2);
}
.scroll_block::-webkit-scrollbar-track,
#body_scroll_style::-webkit-scrollbar-track,
.scroll_block::-webkit-scrollbar-track-piece,
#body_scroll_style::-webkit-scrollbar-track-piece {
    background-color: transparent;
}
.scroll_block::-webkit-scrollbar-corner,
#body_scroll_style::-webkit-scrollbar-corner {
    background-color: transparent;
}
#body_scroll_style::-webkit-scrollbar {
    width: 5px;
    height: 5px;
}
.scroll_block.w4px::-webkit-scrollbar {
    width: 4px;
    height: 4px;
}
.scroll_block.w3px::-webkit-scrollbar {
    width: 3px;
    height: 3px;
}
.scroll_block.w2px::-webkit-scrollbar {
    width: 2px;
    height: 2px;
}
.scroll_block.w1px::-webkit-scrollbar {
    width: 1px;
    height: 1px;
}
.scroll_block.w0px::-webkit-scrollbar {
    width: 0px;
    height: 0px;
}
/* scroll for textarea */
textarea::-webkit-scrollbar {
    width: 2px;
}

/*==============================*/
/* =========== SHADOW =========== */
/*==============================*/
.shadow:after {
    content: "";
    transition: 0.3s;
    position: absolute;
    display: block;
    z-index: 0;
    height: 100%;
    width: 100%;
    background: transparent;
    left: 0;
}
.bottom.shadow:after {
    bottom: 0px;
}
.top.shadow:after {
    top: 0px;
}
.shadow-10.shadow:after {
    box-shadow: 0 10px 10px #000;
}
.shadow-20.shadow:after {
    box-shadow: 0 10px 20px #000;
}
.shadow-30.shadow:after {
    box-shadow: 0 10px 30px #000;
}
.shadow-40.shadow:after {
    box-shadow: 0 10px 40px #000;
}
.shadow-50.shadow:after {
    box-shadow: 0 10px 50px #000;
}
